Subject: RE: Question regarding problem during uninstall using setup.exe
From: Robert Collins <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: 03 Aug 2003 17:45:00 +1000

On Sun, 2003-08-03 at 03:24, Alan Miles wrote:
> Rob,
> 
> Sorry it has been a looong week ... with quite a number of looong weeks
> ahead,
> and I misinterpreted your response.
> 
> Anyway, I appreciate your responses. I am going to try a preremove script. I
> have just checked http://cygwin.com/setup.html
> to see if there is any online info about how these work, but I couldn't see
> any.

A preremove script /might/ work around the problem, but essentially it
needs to be fixed in the core of setup.

The logic problem is:
Setup is meant to delete directories it creates when it uninstalls
things.
Setup only deletes directories that are empty to preserve custom created
files by users.
Setup doesn't currently know the difference between an empty dir under a
dir it created, and a dir it created. So, such dirs are deleted.

Cheers,
Rob
-- 
GPG key available at: <http://members.aardvark.net.au/lifeless/keys.txt>.